/*カスタムプロパティ*/
/*リセットCSS(最低限)*/
/*デスクトップファースト*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/*共通CSS*/
html {
    font-size: 14px;
    scroll-behavior: smooth;
}

body {
    font-family: "Hiragino Sans",sans-serif;
    font-weight: bold;
    color: #333333;
    line-height: 2;
    letter-spacing: 1px;
    list-style-type: none;
    overflow-y: scroll;
}
/*セクションタイトル*/
.section-title {
    display: inline-block;
    padding-bottom: 5px;
    font-size: 22px;
    border-bottom: 2px solid #333333;
}
/*セクションタイトル　共通パーツ*/
.section-title span {
    margin-left: 10px;
    font-size: 12px;
    font-weight: bold;
    vertical-align: middle;
}
/*リンクボタン共通*/
.link-btn {
    display: block;
    width: 100%;
    max-width: 240px;
    height: 40px;
    margin: 0 auto;
    border: 2px solid rgba(0,0,0,0.8);
    border-radius: 8px;
    position: relative;
    text-decoration: none;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    cursor: pointer;
    display: grid;
    place-items: center;
}

.link-btn:before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 25px;
    width: 1px;
    height: 100%;
    background-color: #333333;
}

.link-btn:after {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
    width: 0px;
    height: 0px;
    border-top: 6px solid transparent;
    border-left: 8px solid #000000;
    border-bottom: 6px solid transparent;
}

.link-btn:hover {
    opacity: 0.5;
}

.link-btn span {
    margin-left: 20px;
    color: rgba(0,0,0,0.8);
}
/*ヘッダーCSS*/
.header-wrapper {
    width: 90%;
    max-width: 1280px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    z-index: 10;
}

.header-inner {
    width: 100%;
    height: 50px;
    /*ツールバーの高さ分32pxのmargin*/
    /*margin-top: 32px;*/
    margin: 5px auto 0px;
    padding: 0 20px;
    border: 2px solid #333333;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.08);
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.header-logo {
    font-size: 24px;
}

.header-logo a {
    font-family: "Hiragino Sans",sans-serif;
    text-decoration: none;
    color: #000000;
}

.header-nav__lists {
    display: flex;
    list-style-type: none;
}

.header-nav__lists li a {
    width: 100%;
    padding: 15px 20px;
    font-family: "Hiragino Sans",sans-serif;
    text-decoration: none;
    color: #000000;
    transition: all .3s;
}

.header-nav__lists li a:hover{
    border: none;
    border-radius: 20px;
    background-color: #000000;
    color: #ffffff;
}

.header-nav__lists li a:hover {
    opacity: 0.5;
}
/*ハンバーガーメニュー min-width:768px以上は非表示*/
.hamburger-btn {
    width: 22px;
    height: 22px;
    background-color: transparent;
    border: 0;
    position: relative;
    cursor: pointer;
    display: none;
}

.hamburger-btn.active {
    z-index: 30;
}

.hamburger-btn span {
    display: block;
    width: 100%;
    height: 2px;
    background-color: #000000;
    position: absolute;
    transition: all .3s;
}

.hamburger-btn span:nth-last-child(1) {
    top: 0;
}

.hamburger-btn span:nth-last-child(2) {
    top: 50%;
    transform: translateY(-50%);
    opacity: 1;
    transition: transform .2s, opacity .2s;
}

.hamburger-btn span:nth-last-child(3){
    bottom: 0;
}

.hamburger-btn.active span:nth-last-child(1) {
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}

.hamburger-btn.active span:nth-last-child(2) {
    transform: translateX(-100%);
    opacity: 0;
}

.hamburger-btn.active span:nth-last-child(3) {
    top: 50%;
    transform: translateY(-50%) rotate(-45deg);
}

.hamburger-menu {
    position: fixed;
    width: 90%;
    max-width: 1280px;
    height: 600px;
    top: 70px;
    left: 0;
    right: 0;
    margin: 0 auto;
    z-index: 10;
    background-color: rgba(0,0,0,0.8);
    border: none; 
    border-radius: 12px;
    /*常時非表示*/
    opacity: 0;
    transform: translateY(300px);
    transition: all .5s ease;
    pointer-events: none;
    visibility: hidden;
    display: grid;
    place-items: center;
}
/*ハンバーガーメニューオープンアニメーション*/
.hamburger-menu.open {
    transform: translateY(-5px);
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
}
/*ハンバーガーメニュークローズアニメーション*/
.hamburger-menu.close {
    transform: translateY(5px);
    opacity: 0;
    pointer-events: auto;
    visibility: visible;
}

.hamburger-menu__lists {
    width: 90%;
    margin: 0 auto;
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    gap: 10px;
}

.hamburger-menu__lists li {
    width: 100px;
    height: 100px;
    text-align: center;
    border: 1px solid #ffffff;
    border-radius: 8px;
}

.hamburger-menu__lists li a {
    width: 100%;
    height: 100%;
    padding-top: 10px;
    text-decoration: none;
    color: #ffffff;
    display: grid;
    align-items: center;
}

.hamburger-menu__lists li a:hover {
    background-color: #ffffff;
    color: rgba(0,0,0,0.5);
    transition: all .3s;
}

.hamburger-menu__lists li a span {
    display: block;
    text-align: center;
    font-size: 10px;
    font-weight: normal;
    align-self: flex-start;
}

.hamburger-menu__lists li a:hover {
    opacity: 0.5;
}
/*hero*/
.hero-wrapper {
    position: fixed;
    top: 50px;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    z-index: -1;
}

.hero-inner {
    width: 90%;
    margin: 60px auto 0;
    display: flex;
    justify-content: center;
    gap: 60px;
}
.hero-set {
    align-self: center;
    transition: .1s ease;
}
/*個人の写真を使用出来上がり次第変更*/
.hero-photo {
    width: 280px;
    height: 280px;
    background-color: rgba(211,211,211,0.8);
    border-radius: 50%;
    overflow: hidden;
    display: grid;
    transition: .1s ease;
}

.hero-photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.hero-photo.is-hidden {
    opacity: 0;
}

.hero-set.is-hidden {
    opacity: 0;
}

.hero-set__title--japan {
    font-size: 22px;
    font-weight: normal;
    text-align: center;
}

.hero-set__title--english {
    text-align: center;
}

.hero-set__text {
    margin-top: 20px;
}
/*about*/
.about-wrapper {
    width: 90%;
    max-width: 1280px;
    margin: 0 auto;
    padding-top: 450px;
}

.about-inner {
    width: 100%;
    margin: 0 auto;
    padding: 40px;
    border: 2px solid #333333;
    border-radius: 12px;
    background-color: #ffffff;
}

.about-title {
    font-family: "Hiragino Sans",sans-serif;
}

.about-txt {
    width: 100%;
    margin-top: 40px;
}

.about-txt__text {
    width: 100%;
    max-width: 600px;
    margin-top: 20px;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
}

.about-txt__text--primary {
    width: 30%;
}

.about-txt__text--secondary {
    width: 70%;
}

/*career*/
.carrea-wrapper {
    width: 90%;
    max-width: 1280px;
    margin: 80px auto 0px;
}

.carrea-inner {
    width: 100%;
    margin: 0 auto;
    padding: 40px;
    border: 2px solid #333333;
    border-radius: 12px;
    background-color: #ffffff;
}

.career-list{
    margin-top: 40px;
}

.career-list__heading {
    width: 100%;
    margin-top: 40px;
    padding: 40px 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    column-gap: 10px;
    border: 2px solid #333333;
    border-radius: 8px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.15);
    transition: .3s ease;
}

.career-list__heading:hover {
    transform : translateY(-8px);
}

.career-list__heading-title {
    width: 50%;
    min-width: 120px;
    position: relative;
}

.career-list__heading-title span::before{
    content: "";
    width: 3px;
    height: 14px;
    background-color: #555555;
    position: absolute;
    top: 50%;
    left: -10px;
    transform: translateY(-50%);
}

.career-list__heading-text {
    width: 50%;
    text-align: left;
}

/*experience*/
.exeperience-wrapper {
    width: 90%;
    max-width: 1280px;
    margin: 80px auto 0px;
}

.exeperience-inner {
    width: 100%;
    margin: 0px auto;
    padding: 40px;
    border: 2px solid #333333;
    border-radius: 18px;
    background-color: #ffffff;
}

.exeperience-title {
    font-family: "Hiragino Sans",sans-serif;
}

.exeperience-txt {
    width: 100%;
    margin-top: 40px;
    text-align: left;
}

.exeperience-txt p {
    width: 100%;
}

.cw-link {
    margin-top: 40px;
}

/*works*/
.works-wrapper {
    width: 90%;
    max-width: 1280px;
    margin: 80px auto 0px;
}
.works-inner {
    width: 100%;
    padding-top: 40px;
    border: 2px solid #333333;
    border-radius: 18px;
    background-color: #ffffff;
}

.works-title {
    margin-left: 40px;
    text-align: left;
}

.works-txt {
    width: 100%; 
    margin-top: 40px;
    padding: 0px 40px;
}

.works-txt p {
    display: inline-block;
    margin-top: 20px;
}

.works-txt p:first-child {
    margin-top: 0px;
}

.works-txt p a {
    text-decoration: none;
    color: #000000;
    font-size: 16px;
    font-weight: bold;
}

.cardlist {
    width: 100%;
    margin-top: 40px;
    display: flex;
    flex-direction: column;
}

.card {
    width: 100%;
    height: 500px;
    padding-top: 60px;
    padding-bottom: 40px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-top: 2px solid #333333;
    position: relative;
}

.card-thumb {
    width: 60%;
    height: 100%;
    padding: 20px 40px;
}

.card-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.card-thumb img:hover {
    opacity: 0.5;
}
/*ポートフォリサイトが①何を作成したか②いつ着手したか③制作期間*/
/*portfolio_cafe*/
.card-cafe::before{
    content: "Webサイト/2025-3~/制作期間1ヶ月";
    position: absolute;
    top: 40px;
    left: 40px;
}
/*portfolio_walking*/
.card-walking::before{
    content: "Webサイト/2025-4~/制作期間1ヶ月";
    position: absolute;
    top: 40px;
    left: 40px;
}
/*skills*/
.skills-wrapper {
    width: 90%;
    max-width: 1280px;
    margin: 80px auto 0px;
}
.skills-inner {
    width: 100%;
    margin: 0px auto;
    padding: 40px;
    border: 2px solid #333333;
    border-radius: 18px;
    background-color: #ffffff;
    overflow: scroll;
}

.skills-lists {
    width: 100%;
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
}

.skills-card {
    width: 100%;
    min-width: 200px;
    height: 240px;
    padding: 20px;
    border: 2px solid #333333;
    border-radius: 8px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.15);
    position: relative;
    transition: .3s ease;
}

.skills-card:hover {
    transform : translateY(-8px);
}

.skills-card__logo {
    width: 80px;
    height: 80px;
    position: absolute;
    bottom: 20px;
    right: 20px;
    opacity: 0;
    transform: translateY(30px);
    transition: .3s ease;
}

.skills-card:nth-child(8) .skills-card__logo:nth-child(1) {
    right: 100px
}

.skills-card__logo.is-show {
    opacity: 1;
    transform: translateY(0px);
}

.skills-card__heading {
    width: 100%;
    position: absolute;
    top: 20px;
    left: 20px;
}

.skills-card__title {
    font-size: 20px; 
}

.skills-card__list {
    width: 100%;
    margin-top: 20px;
    margin-left: 10px;
} 
/*contactページ*/
.contact-wrapper {
    width: 90%;
    max-width: 1280px;
    margin: 80px auto 0px;
}

.contact-inner {
    width: 100%;
    margin: 0px auto;
    padding: 40px;
    border: 2px solid #333333;
    border-radius: 8px;
    background-color: #ffffff;
}

.contact-txt {
    width: 100%;
    margin-top: 40px;
    text-align: left;
}
/*confirm*/
.confirm {
    padding-top: 40px;
}

.confirm-inner {
    width: 90%;
    max-width: 1280px;
    margin: 40px auto 0;
    padding: 40px 0px;
    border: 2px solid #333333;
    border-radius: 18px;
}

.confirm-title {
    display: inline-block;
    margin-left: 40px;
    font-family: "Hiragino Sans",sans-serif;
}

.confirm .confirm-inner .form-label .form-label__text::before {
    content: none;
}

.confirm-txt {
    width: 80%;
    max-width: 710px;
    margin: 40px auto 0;
    text-align: left;
}

.confirm .confirm-inner .form-label div {
    padding-bottom: 5px;
    border-bottom: 2px solid #333333;
}

.prev-btn {
    display: block;
    width: 100%;
    max-width: 600px;
    appearance: none;
    margin: -20px auto 0;
    padding: 15px 25px;
    border: none;
    border-radius: 4px;
    color: #ffffff;
    font-size: 18px;
    font-weight: bold;
    background-color: rgba(0,0,0,0.7);
    cursor: pointer;
}
/*thanks*/
.thanks {
    padding-top: 40px;
}

.thanks-inner {
    width: 90%;
    max-width: 1280px;
    margin: 40px auto 0;
    padding: 40px;
    border: 2px solid #333333;
    border-radius: 18px;
}

.thanks-title {
    display: inline-block;
    margin-left: 40px;
    font-family: "Hiragino Sans",sans-serif;
}

.thanks .thanks-inner .form-label .form-label__text::before {
    content: none;
}

.thanks-txt {
    width: 100%;
    max-width: 710px;
    margin: 40px auto 0;
    text-align: center;
}

.thanks .thanks-inner .form-label div {
    padding-bottom: 5px;
    border-bottom: 1px solid rgba(0,0,0,0.7);
}


.form-basic {
    margin-top: 40px;
}

.form-title {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    text-align: center;
}

.form-company {
    margin-top: 40px;
}

.form-row {
    width: 100%;
    max-width: 600px;
    margin: 30px auto 0;
    padding: 0 40px;
}

.form-label {
    max-width: 600px;
    margin: 0 auto;
}

.form-label div {
    width: 100%;
    max-width: 600px;
    margin: 5px auto 0px;
}

.form-label__text {
    width: 100%;
    max-width: 600px;
    margin:0 auto;
    font-weight: bold;
}

.form-label__text div {
    border-bottom: 1px solid rgba(0,0,0,0.7);
}

.form-label__text::before {
    content: "必須";
    font-size: 12px;
    display: inline-block;
    width: 32px;
    height: 12px;
    margin-right: 5px;
    border: none;
    border-radius: 4px;
    vertical-align: baseline;
}

#name,
#kana,
#tel,
#mail,
#company,
#inquery {
    width: 100%;
    appearance: none;
    padding: 5px 0 5px 8px;
    border: 1px solid rgba(0,0,0,0.4);
    border-radius: 4px;
    line-height: 1.6;
    font-family: "Noto Sans JP","Helvetica",Arial,sans-serif;
}
/*turnstile*/
#content {
    width: 100%;
    max-width: 600px;
    margin-top: 30px;
    margin-right: auto;
}

.submit {
    display: block;
    width: 100%;
    max-width: 600px;
    appearance: none;
    margin: 30px auto 0;
    padding: 15px 25px;
    border: none;
    border-radius: 4px;
    color: #ffffff;
    font-size: 18px;
    font-weight: bold;
    background-color: rgba(0,0,0,0.1);
    cursor: pointer;
}

.contact-link {
    margin-top: 40px;
}

/*footer*/
.copyright {
    width: 90%;
    margin: 60px auto 0;
    text-align: center;
    font-size: 14px;
}
/*min-width: 940px ハンバーガーメニュー非表示*/
@media screen and (min-width: 940px) {
    /*ハンバーガーメニュー非表示*/
    .hamburger-menu.open {
        opacity: 0;
    }
} 

/*max-width:920px ハンバーガーメニュー表示*/
@media screen and (max-width: 940px) {
    /*ヘッダー*/
    .header-nav {
        display: none;
    }
    /*ハンバーガーボタンー表示*/
    .hamburger-btn {
        display: block;
    }
}

/*max-width:768px タブレット*/
@media screen and (max-width: 768px) {
    html {
        font-size: 12px;
    }
    /*共通*/
    .section-title {
        font-size: 20px;
    }
    /*hero*/
    .hero-photo {
        width: 240px;
        height: 240px;
    }
    /*about*/
    .about-wrapper {
        padding-top: 390px;
    }
    .about-txt {
        max-width: 600px;
    }
    /*career*/
    .career-list__heading {
        flex-direction: column;
        row-gap: 10px;
    }
    .career-list__heading-title {
        width: 100%;
    }
    .career-list__heading-text {
        width: 100%;
    }
    /*works*/
    .card {
        height: 600px;
        padding-bottom: 0px;
        justify-content: flex-start;
        flex-direction: column;
    }

    .card-thumb {
        width: 100%;
        height: 80%;
    }

    .card-link {
        margin-top: 20px;
    }

    .works-txt p a {
        font-size: 14px;
    }
    /*skills*/
    .skills-inner {
        overflow: visible;
    }

    .skills-lists {
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    .skills-card__title {
        font-size: 18px; 
    }
    /*contact*/
    .form-label__text::before {
        content: "必須";
        font-size: 10px;
        display: inline-block;
        width: 32px;
        height: 12px;
        margin-right: 5px;
        border: none;
        border-radius: 4px;
        vertical-align: baseline;
    }
}
/*max-width: 540px heroセクションの配置変更*/
@media screen and (max-width: 560px) {
    .hero-inner {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }
    /*about*/
    .about-wrapper {
        padding-top: 490px;
    }
}
/*trunstileの縮小タイミング*/
@media screen and (max-width: 420px) {
    /*trunstile*/
    .cf-turnstile {
        transform: scale(0.6);
        transition: all .1s;
    }
}
/*min-width:390px スマホ*/
@media screen and (max-width: 390px) {
    html {
        font-size: 10px;
    }
    /*共通*/
    .section-title {
        font-size: 18px;
    }
    /*ハンバーガーメニュー*/
    .hamburger-menu__lists li {
        width: 80px;
        height: 80px;
    }
    /*hero*/
    .hero-inner {
        gap: 20px;
    }
    .hero-photo {
        width: 200px;
        height: 200px;
    }
    /*about*/
    .about-wrapper {
        padding-top: 430px;
    }
    .about-txt {
        max-width: 220px;
    }
    /*works*/
    .works-txt p a {
        font-size: 12px;
    }
    .card-thumb {
        padding: 40px;
    }
    /*skills*/
    .skills-card__logo {
        width: 60px;
        height: 60px;
    }

    .skills-card:nth-child(8) .skills-card__logo:nth-child(1) {
        right: 80px
    }

    .skills-card__title {
        font-size: 16px; 
    }
}